List MCP Servers
GEThttps://api.confident-ai.com/v1/mcp-servers
Lists the MCP servers registered in your project. Credentials such as headers, environment variables, and OAuth config are not returned.
curl -X GET "https://api.confident-ai.com/v1/mcp-servers" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"mcpServers": [
{
"id": "MCP-SERVER-ID",
"name": "GitHub",
"description": "Repository and issue tools",
"transport": "HTTP",
"url": "https://mcp.example.com/sse",
"connected": true
}
]
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Response
successbooleanIndicates if the request was successful.
dataobjectShow 1 propertyHide 1 property
mcpServerslist of objectsThe MCP servers, ordered by name.
Show 6 propertiesHide 6 properties
idstringThe unique identifier of the MCP server. Use this value when running a dataset evaluation.
namestringThe name of the MCP server.
descriptionstringThe description of the MCP server.
transportenumHow Confident AI reaches the server.
Show 2 enum valuesHide 2 enum values
HTTPSTDIO
urlstringThe URL of the server. Only set when the transport is
HTTP.connectedbooleanWhether Confident AI has successfully connected to the server.
deprecatedbooleanIndicates if this endpoint is deprecated.